POST
/describeMediaStorageConfiguration
http://kinesisvideo.{region}.amazonaws.com/describeMediaStorageConfigurationReturns the most current information about the channel. Specify the <code>ChannelName</code> or <code>ChannelARN</code> in the input.
Access Token Required: API Key
Body Params
ChannelARNstring
The Amazon Resource Name (ARN) of the channel.
ChannelNamestring
The name of the channel.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
curl --request POST \
--url 'http://kinesisvideo.{region}.amazonaws.com/describeMediaStorageConfiguration' \
--header 'accept: application/json' \
--header 'content-type: application/json'Response
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}